1 2 Previous Next 16 Replies Latest reply: Feb 4, 2014 4:35 AM by mglasow Branched to a new discussion.
MidnightBLu03 Level 1 Level 1 (0 points)

Is anyone else getting this message after downloading show/movies??? "This movie requires QuickTime, which is not supported by this version of iTunes."       How do we fix it??  I have the most recent verision of itunes and Quicktime so i have no idea what to do.  PLEASE help.  ALso i wont copy over to my Ipad...it gives me a similar error.


iMac, Mac OS X (10.7.3), Itunes/Quick Time
  • 2. Re: "This movie requires QuickTime, which is not supported by this version of iTunes."
    Limnos Level 8 Level 8 (38,475 points)

    I should also add:

     

    iTunes 10.4 for Mac: Older media files may require iTunes to reopen in 32-bit mode - http://support.apple.com/kb/TS3771 - "iTunes 10.4 or later on OS X Lion opens by default in 64-bit mode. However, some older media files in your iTunes library may still rely on QuickTime to play, and QuickTime only runs in 32-bit mode. In order to play media that encounters this issue, you will need to open iTunes in 32-bit mode first."

  • 3. Re: "This movie requires QuickTime, which is not supported by this version of iTunes."
    MidnightBLu03 Level 1 Level 1 (0 points)

    thanks....Those do help but i still cant play it on my ipad....and also i think there is a glitch somewhere because the same episodes i CAN'T watch on my iMac i am able to watch on my mac book pro....so hopefully they make an update soon....i havent had any problem with itunes till now...its kinda annoying...but a temp fix is better than nothing...thanks again!!

  • 4. Re: "This movie requires QuickTime, which is not supported by this version of iTunes."
    ChongCY Level 1 Level 1 (0 points)

    I think I may have solved the prob.

     

    I had always set iTunes Media Folder Location to a directory in Time Capsule to save precious HDD space in my older Mac.

    I created a new directory in Time Capsule to do the same for my new Retina Mac.

     

    Now we know Apple is not happy when we don't use the host drive inside the Mac for iTunes.
    So I guess this is why people like us who use Time Capsule or any external drive to keep our movies/songs/TV show & etc will encounter some problem like this.

     

    For me it's not a choice.

    I only have a very limited 256GB storage space on my old & new Mac.
    All my iTunes purchased movies, TV & songs alone are more than 256GB in size.

    I have to use an external drive because I can't afford 512GB flash drive option on my new retina Mac as I'm just a student & I don't want my parent to disown me.

     

    I may have an answer to this prob.

     

    I realized movies & TV not transfered from my iPad will have "this movie requires quicktime not supported itunes" message in latest the iTunes 10.6.3 when I try to play them on my new Retina Mac.

     

    BUT movies that was transfered from my iPad will play on my new retina Mac without any error.

     

     

    So I figured it out.

     

    1stly, I deleted all the movies in iTunes on my new Mac that encountered "this movie requires quicktime not supported itunes" error when I try to play them.

     

    When prompted, I just "Delete" the movies permanently.
    I figured we don't need to "Keep" these corrupted files.
    It just take up space in my also precious external drive (Time Capsule) for nothing.

     

    Then, I use my iTunes on my iPad to download all the movies & TV that I bought previously that has "this movie requires quicktime not supported itunes" problem.

     

    I make sure I am NOT requested to "Buy" or "Rent" when I try to download the movie/TV.
    It should be "Download".
    If the "Download" selection is not avail, I probably had selected the wrong movie/TV in iTunes on my iPad.


    (Do take note some movie may have the same titles but some are Extended version or Director's cut that you didn't purchase previously)

     

    After all the downloads on my iPad are completed, I hook my iPad to my new Mac & transfered all the downloaded movie/TV into the iTunes on my new Mac.

    Right click to "Transfer Purchase from XXXX's iPad" will do it.


    All my newly downloaded movies/TV appeared on my Mac's iTunes.

    And I can play them without any more, "this movie requires quicktime not supported itunes" error.
    I can even transfer them to my iPhone using Sync on my new Mac's iTunes just to make sure nothing else is wrong.

     

    Note: Make sure WiFi is fast & no one turns it off when iPad is downloading.


    WARNING: If your iPad is on cellular network, do remember to turn it off if your are on limited data plan wirh huge data charge for exceeding the limit.


    Also, if you're overseas, and even if you're on UNLIMITED data plan at home, do remember to turn off "data roaming" or you will end up with shocker cellular bill & may need to look for ya parents

  • 5. Re: "This movie requires QuickTime, which is not supported by this version of iTunes."
    Tom Moore 6070 Level 1 Level 1 (0 points)

    Hi I know this ground has been covered.

     

    I had this error when trying to watch season three of justified.

     

    I followed the advice of deleting and re downloading - problem solved.  Hope it works for the rest of you.

     

    Tom

  • 6. Re: "This movie requires QuickTime, which is not supported by this version of iTunes."
    dstr0yr Level 1 Level 1 (0 points)

    This solution solves the problem, but you will lose the 1080p resolution movie (you could always redownload it from Apple). When downloading to an iPad (1st generation in my case), you get a 720p version. This is fine for me as my Apple TV is the 720p version anyway. Thanks for the tip.

  • 7. Re: "This movie requires QuickTime, which is not supported by this version of iTunes."
    majfromaustin Level 1 Level 1 (0 points)

    I have experianced this issue when I moved my itunes to the TC.   ChongCYsolution helped me espcially for some of the movies that did not want to play and gave me the above error.  however, I had few season pass TV shows and I discovered this option worked for me, instead of redownloading the shows again.

     

    1) go the file that itunes does not want to play> right click and show in finder.

    2) move the file to another location either your TC or your desktop; mainly outside the itunes folder

    3) Go back totunes and delete the file movie/show/music

    4) then simply drag and drop the the file you moved to TC or desktop back into itunes. 

    5) itunes will copy the files, but this time they will work and you will not see the error above.

     

    please note for larg files it will take some time to copy back into itunes, but I think its faster than a complete download of a whole show in HD

  • 8. Re: "This movie requires QuickTime, which is not supported by this version of iTunes."
    Stevoarmy Level 1 Level 1 (0 points)

    This worked for me majfromaustin.  i copied the files to my desktop.  deleted them from the library in my external hard drive "time machine" and recopied them back to my time machine using finder.  after that I "added file to library" and there they were and totally viewable.  I have the newer retina display MacBook Pro with iTunes 10.7 and this totally worked and it doesn't lose the resolution.

  • 9. Re: "This movie requires QuickTime, which is not supported by this version of iTunes."
    twtoivon Level 1 Level 1 (0 points)

    I had this problem with Mountain Lion (10.8.2) and iTunes 10.7.

    Updating Flip4Mac from 2.x.x to 3.x.x solved the problem.

  • 10. Re: "This movie requires QuickTime, which is not supported by this version of iTunes."
    tgruentker Level 1 Level 1 (0 points)

    I have the same problem and found the following solution:

     

    1. Delete the file within iTunes

    2. When asked wether to keep or delete the file select to keep it

    3. Just add the same file to your library again

     

    This works for me. However it's quite annoying to do this every time. Since the file really seems to be ok it has to be a rights issue or something like that. I store all my iTunes content on a QNAP NAS so I think this might have something to do with the problem.

     

    Does anyone have an idea how to solve this for good? There must be a way ...

  • 11. Re: "This movie requires QuickTime, which is not supported by this version of iTunes."
    NeilDeWheel Level 1 Level 1 (0 points)

    majfromaustin,

    thanks for the info. I had the same problem but after following your instructions my movie plays fine now. FYI the movie was Les Misérables (2012).

  • 12. Re: "This movie requires QuickTime, which is not supported by this version of iTunes."
    Skiingvt Level 1 Level 1 (0 points)

    I'm getting this message when trying to watch the latest Washington Week podcast :/ Have been subscribed for years and has/is only happened/happening to the most recent episode. Trying to watch show directly in iTunes as always. It wont let me download or view the most recent episode. Only displays error message. All other videos on computer (podcasts included) work fine. Thoughts? Suggestions?? Thanks

  • 13. Re: "This movie requires QuickTime, which is not supported by this version of iTunes."
    drrocket69 Level 1 Level 1 (0 points)

    I had some old mpg videos that I recorded years ago with a digital camera.  Running OS 10.9, iTunes won't open in 32-bit.  So, I merely copied the videos into a folder on my desktop and launch them from the desktop.  Quicktime opens and plays then automatically.

  • 14. Re: "This movie requires QuickTime, which is not supported by this version of iTunes."
    RobotPoet Level 1 Level 1 (0 points)

    I've just had this happen when attempting to view an iMovie tutorial from within iTunes.

     

    OS X 10.9.1

    iTunes   11.1.3 (8) 64bit

     

    (I miss Steve Jobs.)

1 2 Previous Next